{
    attributes = (
        {
            columnName = "pco_Budgetaire"; 
            externalType = VARCHAR2; 
            name = pcoBudgetaire; 
            valueClassName = NSString; 
            valueType = S; 
            width = 1; 
        }, 
        {
            columnName = "pco_Emargement"; 
            externalType = VARCHAR2; 
            name = pcoEmargement; 
            valueClassName = NSString; 
            valueType = S; 
            width = 1; 
        }, 
        {
            columnName = "pco_j_be"; 
            externalType = VARCHAR2; 
            name = pcoJBe; 
            valueClassName = NSString; 
            valueType = S; 
            width = 1; 
        }, 
        {
            columnName = "pco_j_exercice"; 
            externalType = VARCHAR2; 
            name = pcoJExercice; 
            valueClassName = NSString; 
            valueType = S; 
            width = 1; 
        }, 
        {
            columnName = "pco_j_fin_exercice"; 
            externalType = VARCHAR2; 
            name = pcoJFinExercice; 
            valueClassName = NSString; 
            valueType = S; 
            width = 1; 
        }, 
        {
            columnName = "pco_libelle"; 
            externalType = VARCHAR2; 
            name = pcoLibelle; 
            valueClassName = NSString; 
            valueType = S; 
            width = 500; 
        }, 
        {
            columnName = "pco_nature"; 
            externalType = VARCHAR2; 
            name = pcoNature; 
            valueClassName = NSString; 
            valueType = S; 
            width = 10; 
        }, 
        {
            columnName = "pco_Niveau"; 
            externalType = NUMBER; 
            name = pcoNiveau; 
            valueClassName = NSNumber; 
            valueType = i; 
        }, 
        {
            columnName = "PCO_NUM"; 
            externalType = VARCHAR2; 
            name = pcoNum; 
            valueClassName = NSString; 
            valueType = S; 
            width = 20; 
        }, 
        {
            columnName = "pco_Validite"; 
            externalType = VARCHAR2; 
            name = pcoValidite; 
            valueClassName = NSString; 
            valueType = S; 
            width = 20; 
        }
    ); 
    attributesUsedForLocking = (
        pcoBudgetaire, 
        pcoEmargement, 
        pcoJBe, 
        pcoJExercice, 
        pcoJFinExercice, 
        pcoLibelle, 
        pcoNature, 
        pcoNiveau, 
        pcoNum, 
        pcoValidite
    ); 
    className = "org.cocktail.jefyadmin.server.metier.EOPlanComptable"; 
    classProperties = (
        pcoBudgetaire, 
        pcoEmargement, 
        pcoJBe, 
        pcoJExercice, 
        pcoJFinExercice, 
        pcoLibelle, 
        pcoNature, 
        pcoNiveau, 
        pcoNum, 
        pcoValidite
    ); 
    externalName = "JEFY_ADMIN.V_Plan_Comptable"; 
    fetchSpecificationDictionary = {}; 
    internalInfo = {
        "_clientClassPropertyNames" = (
            pcoBudgetaire, 
            pcoEmargement, 
            pcoJBe, 
            pcoJExercice, 
            pcoJFinExercice, 
            pcoLibelle, 
            pcoNature, 
            pcoNiveau, 
            pcoNum, 
            pcoValidite
        ); 
        "_javaClientClassName" = "org.cocktail.jefyadmin.client.metier.EOPlanComptable"; 
        "_nameInObjectStore" = "Plan_Comptable"; 
    }; 
    name = PlanComptable; 
    primaryKeyAttributes = (pcoNum); 
}
